local TalentManager = class("TalentManager", BaseModule)

function TalentManager:showMainUI()
	UIManager:showUI("app/ui/talent/talent_main_ui")
end

function TalentManager:showInfoUI(parmas)
	UIManager:showUI("app/ui/talent/talent_info_ui", parmas)
end

function TalentManager:talentUpgrade()
	local args = {}
	self:sendMessage(ProtoMsgType.FromMsgEnum.TalentUpgradeReq, args, {}, self.onTalentUpgradeRsp, BIReport.ITEM_GET_TYPE.BOUNTY_REWARD)
end

function TalentManager:onTalentUpgradeRsp(result)
	if result.err_code == GConst.ERROR_STR.SUCCESS then
		DataManager.TalentData:onUpgrade(result)
    end
end

return TalentManager